## console-setup 1.28ubuntu8netbook0araneo1

=== debian/changelog ===
console-setup (1.28ubuntu8netbook0araneo1) araneo; urgency=low

  * Set appropriate keyboard defaults for araneo
  * Force regeneration of the config file on upgrade from 1.28ubuntu8

 -- Emmet Hikory <emmet.hikory@canonical.com>  Wed, 16 Sep 2009 22:41:57 +0900

console-setup (1.28ubuntu8) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.
  * Treat the Kazakhstan layout (kz) as non-Latin (LP: #356816).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 01:15:09 +0100

console-setup (1.28ubuntu7) jaunty; urgency=low

  * Raise priority to critical for questions preseeded with a nonexistent
    code (LP: #328078).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Mar 2009 11:45:13 +0000

console-setup (1.28ubuntu6) jaunty; urgency=low

  * Don't escape '(' and ')' when decoding/encoding the codeset, as the
    pattern is passed to grep and this causes parentheses to be interpreted
    as regular expression groups (thanks to Dmitry Agafonov for pointing out
    the problem).
  * If reading a user configuration file, disable --save, and don't use
    /etc/console-setup/boottime.kmap.gz (LP: #332728).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.5-2ubuntu5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Mar 2009 16:30:50 +0000

console-setup (1.28ubuntu5) jaunty; urgency=low

  * Backport from trunk:
    - Sort the null variant to the top of the choices list rather than to the
      bottom.
  * Set and check a flag on console-setup/dont_ask_layout to make sure that
    it's only asked at most once per package installation (LP: #320374).
  * Update Keyboard/KeyboardNames.pl based on xkb-data 1.4-1ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 31 Jan 2009 12:07:37 +0000

console-setup (1.28ubuntu4) jaunty; urgency=low

  * Set plain or shifted PrintScreen key to generate VoidSymbol rather than
    Ctrl-backslash (LP: #279973).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Dec 2008 10:09:28 +0000

console-setup (1.28ubuntu3) jaunty; urgency=low

  * Create /dev/tty[1-6] in our initramfs script before trying to operate on
    them (LP: #130444).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 12:15:12 +0000

console-setup (1.28ubuntu2) jaunty; urgency=low

  * Default console-setup/ask_detect to false, since it's hard to back up
    out of the detection widget once you've entered it.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Nov 2008 16:48:28 +0000

console-setup (1.28ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
    - Automatically save the font and keymap to /etc in
      /etc/init.d/console-setup if it isn't being run from init. Similarly,
      ensure that the font and keymap are saved to /etc during initial
      installation.
    - Disable workaround in ckbcomp for the kernel not applying Caps Lock to
      non-ASCII letters, except for Turkish layouts; the cure is worse than
      the disease because it makes Caps Lock equivalent to Shift Lock.
    - Set keymap and font in the initramfs if possible.
    - Set default variant for French to oss.
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Vietnam to 'us'.
    - Set default layout for Kurdish to tr(ku).
    - Fix handling of commas in layout and variant names.
    - Fix keymap reduction not to try to express keymap A in terms of keymap
      B when B includes keys not mapped by A.
    - debian/config.proto: Set sparc default model to pc105.
    - Remove 'exit 0' from the end of debian/config.proto; this will be
      sourced from the postinst in the installer, and exiting in the
      successful case means that /etc/default/console-setup never gets
      generated.
    - Stop running debconf-updatepo on clean.
    - Update for new layouts and variants for Japan, Montenegro, and Serbia,
      and migrate configuration files from the old layouts.
    - Add a "Do not configure keyboard; keep kernel keymap" model option,
      preseedable by console-setup/modelcode=SKIP.
    - Drop the layout/variant priority to high on fresh installs.
    - Honour OVERRIDE_ALLOW_PRESEEDING environment variable when deciding
      whether to allow preseeding, which is ordinarily only allowed in d-i.
    - If console-setup/layoutcode is preseeded but not marked as seen, then
      set the default layout but don't lower the layout question priority or
      preseed console-setup/ask_detect.
    - Fix property counts in Goha and legacy BDF fonts.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2008 14:36:26 +0000

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir

main_build:
	$(MAKE) xkbdir=$(xkbdir)
	cd Keyboard && $(MAKE) build-mini xkbdir=$(xkbdir)
	touch main_build

debian/console-setup.config debian/console-setup-mini.config: debian/config.proto main_build
	awk ' \
/## *PACKAGE *##/ { \
    printf "package=$(notdir $(basename $@))"; \
    next; \
} \
/## *FONTSETS *##/ { \
    printf "fontsets='\''"; \
    system("cd Fonts && ls *.psf | sed '\''s/.psf$$//'\''"); \
    printf "'\''"; \
    next; \
} \
/## *CHARMAPS *##/ { \
    printf "charmaps='\''"; \
    system("cd Keyboard && ls acm/*.acm |sed -e '\''s/^acm.//'\'' -e '\''s/.acm$$//'\''"); \
    printf "UTF-8'\''\n"; \
    next; \
} \
/## *KBDNAMES *##/ { \
    printf "kbdnames='\''"; \
    system("cd Keyboard && ./kbdnames-maker MyKeyboardNames.pl"); \
    printf "'\''"; \
    next; \
} \
{ \
   print; \
}' debian/config.proto >$@

build: main_build debian/console-setup.config debian/console-setup-mini.config

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/*.config
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-main install-mini install-bdf2psf install-udeb

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup -k
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/
	install -d debian/console-setup/usr/share/doc/console-setup/examples/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/doc/console-setup/examples/
	install -d debian/console-setup/usr/share/lintian/overrides
	install -m 644 debian/lintian.overrides \
		debian/console-setup/usr/share/lintian/overrides/console-setup
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --name console-setup -- start 49 S .
	install -d debian/console-setup/usr/share/initramfs-tools/hooks \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top
	install -m755 debian/console-setup.initramfs-hook \
		debian/console-setup/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top/console_setup
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-mini -k
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-mini usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	install -d debian/console-setup-mini/etc/default/
	install -d debian/console-setup-mini/etc/console-setup/
	install -d debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_clean -pbdf2psf -k
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-amiga-ekmap -k
	dh_clean -pconsole-setup-ataritt-ekmap -k
	dh_clean -pconsole-setup-macintoshold-ekmap -k
	dh_clean -pconsole-setup-pc-ekmap -k
	dh_clean -pconsole-setup-sun4-ekmap -k
	dh_clean -pconsole-setup-sun5-ekmap -k
	dh_clean -pconsole-setup-fonts-udeb -k
	dh_clean -pconsole-setup-udeb -k
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \

## console-setup 1.34ubuntu15common0omsk2

=== Fonts/Makefile ===
SHELL = /bin/sh

build : gziped_good_psf_fonts

%.gz : %
	gzip -9 <$< >$@

# All available non-legacy font faces
FACES = Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold24x12 TerminusBold28x14 TerminusBold32x16 \
	TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES = VGA8 VGA10 VGA12 VGA14 VGA16 VGA19

ALL_FACES = $(FACES) $(LEGACY_FACES)

all-CODESETS = Arabic Armenian CyrAsia CyrKoi CyrSlav Ethiopian Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai Uni1 Uni2 Uni3 Vietnamese

Fixed13-BDFS = 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS = georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS = 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS = georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS = 9x18.bdf
Fixed24x12-BDFS = h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS = 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS = h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS = 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS = h16_b.bdf
FixedBold18-BDFS = 9x18B.bdf
FixedBold24x12-BDFS = h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS = 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS = ter-u12n.bdf
Terminus14-BDFS = ter-u14n.bdf
Terminus16-BDFS = ter-u16n.bdf
Terminus20x10-BDFS = ter-u20n.bdf
Terminus24x12-BDFS = ter-u24n.bdf
Terminus28x14-BDFS = ter-u28n.bdf
Terminus32x16-BDFS = ter-u32n.bdf
TerminusBold12x6-BDFS = ter-u12b.bdf
TerminusBold14-BDFS = ter-u14b.bdf
TerminusBold16-BDFS = ter-u16b.bdf
TerminusBold20x10-BDFS = ter-u20b.bdf
TerminusBold24x12-BDFS = ter-u24b.bdf
TerminusBold28x14-BDFS = ter-u28b.bdf
TerminusBold32x16-BDFS = ter-u32b.bdf
TerminusBoldVGA14-BDFS = ter-u14v.bdf
TerminusBoldVGA16-BDFS = ter-u16v.bdf

Courier13-BDFS = 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS = 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS = 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS = 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS = 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS = 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS = 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS = 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS = 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS = 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS = 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS = 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS = 100dpi-lutRS19.bdf

LucidBold11-BDFS = 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS = 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS = 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS = 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS = 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS = 100dpi-lutBS19.bdf

Goha12-BDFS = Goha12.bdf
Goha14-BDFS = Goha14.bdf
Goha16-BDFS = Goha16.bdf

GohaClassic12-BDFS = GohaClassic12.bdf
GohaClassic14-BDFS = GohaClassic14.bdf
GohaClassic16-BDFS = GohaClassic16.bdf

###################################################################

VGA8-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS = Lat15 Lat2
VGA12-CODESETS = Lat15 Lat2
VGA14-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS = Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS = Lat15

Arabic-legacy14-BDFS = legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS = legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS = legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS = u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS = legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS = legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS = legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS = legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS = u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS = legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS = legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS = legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS = legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS = legacy19a.bdf
Lat15-legacy8-BDFS = legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS = legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS = legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS = legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS = u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS = legacy8h.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat38-legacy14-BDFS = legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS = legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS = legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS = u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS = legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS = legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS = arabic_vga.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS = legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS = u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS = legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

###################################################################

# $(call add_bdf, xxx+yyy+zzz) = bdf/xxx.bdf+bdf/yyy.bdf+bdf/zzz.bdf
empty =
space = $(empty) $(empty)
add_bdf = $(patsubst +%, %, \
		$(subst $(space),+, \
			$(addprefix bdf/,$(subst +, , $(1)))))

ALL_PSF_FONTS = $(sort $(foreach face, $(ALL_FACES), \
			$(addsuffix -$(face).psf, $(all-CODESETS))))

GOOD_PSF_FONTS = $(filter \
		%-Fixed13.psf %-Fixed14.psf %-Fixed15.psf \
		%-Fixed16.psf %-Fixed18.psf \
		%-Terminus12x6.psf %-Terminus14.psf %-Terminus16.psf	\
		%-Terminus24x12.psf %-Terminus20x10.psf			\
		%-Terminus28x14.psf %-Terminus32x16.psf			\
		%-TerminusBold14.psf %-TerminusBold16.psf		\
		%-TerminusBold20x10.psf %-TerminusBold24x12.psf		\
		%-TerminusBold28x14.psf %-TerminusBold32x16.psf		\
		%-TerminusBoldVGA14.psf %-TerminusBoldVGA16.psf		\
		%-Goha12.psf %-Goha14.psf %-Goha16.psf \
		%-GohaClassic12.psf %-GohaClassic14.psf %-GohaClassic16.psf \
		%-VGA8.psf %-VGA14.psf %-VGA16.psf, \
	$(PSF_FONTS))

GZIPED_GOOD_PSF_FONTS=$(addsuffix .gz, $(GOOD_PSF_FONTS))
GZIPED_PSF_FONTS=$(addsuffix .gz, $(PSF_FONTS))
GZIPED_ALL_PSF_FONTS=$(addsuffix .gz, $(ALL_PSF_FONTS))

# These fonts can be used only with framebuffer
FB_PSF_FONTS = $(filter %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(FB_PSF_FONTS) : fb_option = --fb

# These fonts can be used both in text-mode and with framebuffer
NONFB_PSF_FONTS = $(filter-out %x6.psf %x10.psf %x12.psf %x14.psf %x16.psf, $(ALL_PSF_FONTS))
$(NONFB_PSF_FONTS) : fb_option =

# Use rm soft.Makefile && make soft.Makefile in order to update soft.Makefile
include soft.Makefile
# The script 'fontcodesets' computes which codesets a font supports
soft.Makefile :
	echo "PSF_FONTS = " $(sort $(foreach face, $(FACES), \
	$(addsuffix -$(face).psf, $(shell ./fontcodesets $($(face)-BDFS)))) \
	$(foreach face, $(LEGACY_FACES), \
		$(addsuffix -$(face).psf, $($(face)-CODESETS)))) \
	>soft.Makefile


# i.e. Arabic/univga16
$(ALL_PSF_FONTS) : codeset/face = $(subst -,/,$(@:%.psf=%))
# i.e. Arabic/
$(ALL_PSF_FONTS) : codeset/ = $(dir $(codeset/face))
# i.e. Arabic
$(ALL_PSF_FONTS) : codeset = $(subst /,-,$(codeset/:%/=%))
# i.e. univga16
$(ALL_PSF_FONTS) : face = $(strip $(notdir $(codeset/face)))
# legacy hack
$(ALL_PSF_FONTS)  : VGA8-BDFS = $(if $(strip $($(codeset)-legacy8-BDFS)), \
			$($(codeset)-legacy8-BDFS),legacy8a.bdf)
$(ALL_PSF_FONTS)  : VGA10-BDFS = $(if $(strip $($(codeset)-legacy10-BDFS)),\
			$($(codeset)-legacy10-BDFS),legacy10a.bdf)
$(ALL_PSF_FONTS)  : VGA12-BDFS = $(if $(strip $($(codeset)-legacy12-BDFS)),\
			$($(codeset)-legacy12-BDFS),legacy12a.bdf)
$(ALL_PSF_FONTS)  : VGA14-BDFS = $(if $(strip $($(codeset)-legacy14-BDFS)),\
			$($(codeset)-legacy14-BDFS),legacy14a.bdf)
$(ALL_PSF_FONTS)  : VGA16-BDFS = $(if $(strip $($(codeset)-legacy16-BDFS)),\
			$($(codeset)-legacy16-BDFS),u_vga16.bdf)
$(ALL_PSF_FONTS)  : VGA19-BDFS = $(if $(strip $($(codeset)-legacy19-BDFS)),\
			$($(codeset)-legacy19-BDFS),legacy19a.bdf)
# i.e. bdf/univga16.bdf
$(ALL_PSF_FONTS) : bdfs = $(call add_bdf, $($(face)-BDFS))
# i.e. fontsets/Arabic.512
$(ALL_PSF_FONTS) : codesetfile = $(wildcard fontsets/$(codeset).*)
# i.e. 512
$(ALL_PSF_FONTS) : size = $(subst .,,$(suffix $(codesetfile)))

$(ALL_PSF_FONTS) : equivalents = $(if $(findstring Uni1, $(codeset)),	 \
				standard.equivalents+arabic.equivalents, \
				standard.equivalents)

$(ALL_PSF_FONTS) :
	./bdf2psf $(fb_option) --log $(@:%.psf=%.log) $(bdfs) \
		$(equivalents) required.set+$(codesetfile)+:useful.set \
                $(size) $@ $(@:%.psf=%.sfm)

good_psf_fonts : $(GOOD_PSF_FONTS)

gziped_good_psf_fonts : $(GZIPED_GOOD_PSF_FONTS)

# This builds all CODESET-TYPEFASE combinations, even when the font 
# doesn't define symbols for the particular CODESET
fullall : $(ALL_PSF_FONTS)

.PHONY: clean
clean:
	-rm -f *~
	-rm -f *.psf *.psf.gz *.sfm *.log
	-rm -f fontsets/*~

.PHONY: maintainer-clean
maintainer-clean: clean
	rm soft.Makefile
	make soft.Makefile

=== debian/changelog ===
console-setup (1.34ubuntu15common0omsk2) lucid; urgency=low

  * console-setup-tty: Comment out all operations. Increase boot speed.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 07 Jun 2010 14:22:18 -0400

console-setup (1.34ubuntu15common0omsk1) lucid; urgency=low

  * debian/console-setup.console-setup.upstart: comment out start on

 -- Bill Filler <bill.filler@canonical.com>  Wed, 02 Jun 2010 16:53:35 -0400

console-setup (1.34ubuntu15) lucid; urgency=low

  * Make /usr/share/initramfs-tools/scripts/panic/console_setup executable.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Apr 2010 23:23:50 +0100

console-setup (1.34ubuntu14) lucid; urgency=low

  * Update Ubuntu-specific translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Apr 2010 00:08:23 +0100

console-setup (1.34ubuntu13) lucid; urgency=low

  * Remove iconv transliteration.  We don't use non-UTF-8 locales, and
    it breaks ubiquity as we haven't generated the configured locale by
    the time we hit console-setup (LP: #542310).

 -- Evan Dandrea <evand@ubuntu.com>  Fri, 26 Mar 2010 12:50:50 +0000

console-setup (1.34ubuntu12) lucid; urgency=low

  * console-setup-tty: Only call setfont once, for both font and ACM.
  * Don't try to call update-rc.d if it doesn't exist, such as in d-i
    (LP: #540835).
  * Don't gzip font or ACM files in /etc/console-setup/.  The space saving
    is negligible, and it's more efficient not to need to uncompress them at
    boot time.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 11:08:58 +0000

console-setup (1.34ubuntu11) lucid; urgency=low

  * Move boot tasks to a combination of two udev rules and a single Upstart
    job, ensuring that they're run at points when we are able to satisfy the
    constraints on the relevant ioctls.  This may not work optimally with
    vgacon, but you have to go to special effort to use that with Ubuntu
    now, and it at least shouldn't break (LP: #524439).
  * Set default layout for Guernsey, Jersey, and the Isle of Man to gb
    (LP: #533003).
  * Fix incorrect FONT and ACM tests in initramfs script.
  * Depend on kbd (>= 1.15-1ubuntu3) for a valuable loadkeys improvement.
    This was previously a recommends, but the udev rule won't work without
    kbd or console-tools anyway, I'm not really interested in supporting a
    system without either installed, and console-tools is thoroughly
    obsolete now.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 13 Mar 2010 12:56:30 +0000

console-setup (1.34ubuntu10) lucid; urgency=low

  * debian/console-setup.console-setup.init,
    debian/console-setup.keyboard-setup.init: Replace the usplash detection
    code with Plymouth detection code, since the same problem applies. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 13:14:32 +0000

console-setup (1.34ubuntu9) lucid; urgency=low

  * Generate a locale locally for translating keyboard names in
    kbnames-maker.

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 04 Feb 2010 15:48:25 -0800

console-setup (1.34ubuntu8) lucid; urgency=low

  * Put kbdnames.gz in console-setup-udeb as well.
  * Don't filter out models from kbdnames as we still ask the model
    question.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 27 Jan 2010 17:22:19 +0000

console-setup (1.34ubuntu7) lucid; urgency=low

  * Merge support for translated keyboard names from Debian.
  * Update ckb/rules/base.xml to point at the new location.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 20 Jan 2010 15:22:34 +0000

console-setup (1.34ubuntu6) lucid; urgency=low

  * debian/console-setup.initramfs-hook: There's no harm having the hook
    run in the non-framebuffer case, it just copies things into the
    initramfs which may be useful.
  * debian/rules: That means we can copy the hook into scripts/panic as
    well (stripping the OPTION from it), so when we need a shell, we'll
    load the keymap.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 18 Dec 2009 14:56:03 +0000

console-setup (1.34ubuntu5) lucid; urgency=low

  * We don't need the initramfs hooks if the initramfs doesn't load the
    framebuffer or splash screen.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Dec 2009 14:56:59 +0000

console-setup (1.34ubuntu4) karmic; urgency=low

  * Fix backports of Asturian and Catalan changes in 1.34ubuntu3.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 20:27:35 +0100

console-setup (1.34ubuntu3) karmic; urgency=low

  [ Loïc Minier ]
  * Use `dpkg --print-architecture` instead of the obsolete
    --print-installation-architecture in debian/config.proto (LP: #403316).

  [ Colin Watson ]
  * Forbid Unicode keysyms in the range 0xf000-0xffff, as kbd 1.15-1 rejects
    the entire keymap if it contains any keysyms in that range (LP:
    #416949).
  * Add default codeset/layout/variant for Asturian.
  * Backport from trunk (Jordi Mallach):
    - Set XKBVARIANT to "cat" for Catalan.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 20:21:57 +0100

console-setup (1.34ubuntu2) karmic; urgency=low

  * Add an apport hook.
  * Update translations from Launchpad.
  * Backport from trunk (Anton Zinoviev, LP: #390292):
    - Do not issue warnings for unknown keycodes with AT keyboards (these
      are multimedia keys and they are unnecessary on the console).  Thanks
      to Anders Lagerås, closes: #531292.

 -- Colin Watson <cjwatson@debian.org>  Tue, 01 Sep 2009 11:49:34 +0100

console-setup (1.34ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Fixed to VGA for Lat15; while it's not


## console-setup 1.57ubuntu27

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: perl, libxml-parser-perl, xkb-data (>= 0.9), xkb-data-i18n, keymapper (>= 0.5.3-7)
Build-Depends: debhelper (>= 7), po-debconf, bdfresize, liblocale-gettext-perl
Standards-Version: 3.8.3
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/console-setup
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/console-setup/ubuntu

Package: keyboard-configuration
Section: utils
Architecture: all
Depends: debconf (>= 1.5.34) | debconf-2.0, ${misc:Depends}, liblocale-gettext-perl
Conflicts: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Depends: debconf (>= 1.5.34) | debconf-2.0, xkb-data (>= 0.9), keyboard-configuration, initramfs-tools (>= 0.85eubuntu12), kbd (>= 1.15-1ubuntu3), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6), console-terminus
Provides: console-terminus
Replaces: console-terminus
Description: console font and keymap setup program
 This package provides the Linux console with the same
 keyboard configuration scheme as the X Window System. As a result,
 there is no need to duplicate or change the keyboard files just to
 make simple customizations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: extra
Architecture: all
Recommends: kbd | console-tools
Depends: debconf (>= 0.5) | debconf-2.0, keyboard-configuration, ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup, console-terminus, lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version
 This package provides the Linux console with the same
 keyboard configuration scheme as the X Window System. As a result,
 there is no need to duplicate or change the keyboard files just to
 make simple customizations such as the use of dead keys, the key
 functioning as AltGr or Compose key, the key(s) to switch between
 Latin and non-Latin mode, etc.
 .
 The package also contains console fonts supporting many of the
 world's languages.  It provides a unified set of font faces - the
 classic VGA, the simplistic Fixed, and the clean Terminus,
 TerminusBold, and TerminusBoldVGA.
 .
 This package can be useful for
 handhelds or other devices with small storage space.
 .
 The package supports only UTF-8. Legacy 8-bit encodings are not
 supported.

Package: bdf2psf
Architecture: all
Section: utils
Priority: optional
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: extra
Depends: console-setup-ekmap, archdetect, cdebconf-udeb, kbd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 This is an experimental replacement of kbd-chooser.
XC-Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Amiga keyboards
XC-Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Atari TT keyboards
XC-Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for old-style Macintosh keyboards
XC-Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for PC keyboards
XC-Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Sun4 keyboards
XC-Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: encoded keyboard layouts for Sun5 keyboards
XC-Package-Type: udeb

Package: console-setup-fonts-udeb
Section: debian-installer
Priority: extra
Depends: ${misc:Depends}
Architecture: all
Description: console fonts for Debian Installer
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir
pre = debian/preprocessor

main_build:
	$(MAKE) xkbdir=$(xkbdir)
	cd Keyboard && $(MAKE) build-mini xkbdir=$(xkbdir)
	touch main_build

debian/kbdnames.gz: main_build
	( cd Keyboard \
	&& ./kbdnames-maker MyKeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9 ) >$@

build: main_build debian/kbdnames.gz

.PHONY : clean
clean:
	dh_testdir
	$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-configuration install-main install-mini install-bdf2psf install-udeb

.PHONY : install-configuration
install-configuration: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	install -d debian/keyboard-configuration/usr/share/console-setup/
	cp config.kbd debian/keyboard-configuration/usr/share/console-setup/keyboard
	dh_link -pkeyboard-configuration usr/share/console-setup/keyboard usr/share/doc/keyboard-configuration/examples/keyboard
	# no upstart job for keyboard-setup
	dh_installinit --no-start --name console-setup -- start 49 S .
	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
	install -m755 debian/console-setup.initramfs-hook \
		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
	sed -e "/^OPTION=/d" \
		< debian/console-setup.initramfs-top \
		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
	install -m644 debian/console-setup.apport \
		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py
	dh_install -pkeyboard-configuration console-setup-tty lib/udev
	dh_installudev -pkeyboard-configuration --priority=85
	rm -rf `find debian/keyboard-configuration -name .cvsignore`
	rm -rf `find debian/keyboard-configuration -name .svn`

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm -rf debian/console-setup/etc/console-setup/ckb/
	dh_install -pconsole-setup Keyboard/pc105.tree \
		usr/share/console-setup
	dh_installinit --no-start --upstart-only --name setvtrgb
	install -m 644 debian/vtrgb debian/console-setup/etc/console-setup/
	install -m 644 debian/vtrgb.vga debian/console-setup/etc/console-setup/

	install -d debian/keyboard-configuration/usr/share/console-setup/
	rm debian/console-setup/etc/default/keyboard
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	dh_link -pconsole-setup usr/share/console-setup/console-setup \
		 usr/share/doc/console-setup/examples/console-setup
	install -d debian/console-setup/usr/share/lintian/overrides
	install -m 644 debian/lintian.overrides \
		debian/console-setup/usr/share/lintian/overrides/console-setup
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup-mini
	dh_installdirs -p console-setup-mini etc/default
	dh_installdirs -p console-setup-mini etc/console-setup/
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini bin
	dh_link -pconsole-setup-mini bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/bin/ckbcomp-mini
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_prep -pconsole-setup-amiga-ekmap
	dh_prep -pconsole-setup-ataritt-ekmap
	dh_prep -pconsole-setup-macintoshold-ekmap
	dh_prep -pconsole-setup-pc-ekmap
	dh_prep -pconsole-setup-sun4-ekmap
	dh_prep -pconsole-setup-sun5-ekmap
	dh_prep -pconsole-setup-fonts-udeb
	dh_prep -pconsole-setup-udeb
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
	rm -rf `find debian/console-setup-amiga-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-amiga-ekmap -name .svn`
	rm -rf `find debian/console-setup-ataritt-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-ataritt-ekmap -name .svn`
	rm -rf `find debian/console-setup-macintoshold-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-macintoshold-ekmap -name .svn`
	rm -rf `find debian/console-setup-pc-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-pc-ekmap -name .svn`
	rm -rf `find debian/console-setup-sun4-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-sun4-ekmap -name .svn`
	rm -rf `find debian/console-setup-sun5-ekmap -name .cvsignore`
	rm -rf `find debian/console-setup-sun5-ekmap -name .svn`
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf \
		usr/share/consolefonts
